
D4Science Infrastructure - Task #7133

Create 1 instance of smartgears for service Quota

Feb 16, 2017 02:45 PM - Alessandro Pieve

Status: Closed Start date: Feb 16, 2017

Priority: High Due date: Feb 27, 2017

Assignee: Alessandro Pieve % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: Preprod: upgrade 4.3   

Infrastructure: Development, Pre-Production   

Description

I need a smartgears running only in the root scope.

Please increse the permsize for this container using :  -XX:PermSize=64m -XX:MaxPermSize=256m

Related issues:

Related to D4Science Infrastructure - Task #7457: Create new VM for hosting q... Closed Mar 09, 2017 Mar 13, 2017

History

#1 - Feb 16, 2017 02:50 PM - Andrea Dell'Amico

Alessandro Pieve wrote:

Please increse the permsize for this container using :  -XX:PermSize=64m -XX:MaxPermSize=256m

 Hm. The dev services are supposed to run java 8, where pergen is no more.

I suppose that the VM will need to talk to the dev quota database on dev2.d4science.org?

#2 - Feb 16, 2017 03:39 PM - Alessandro Pieve

yes for talk to the dev quota database

#3 - Feb 24, 2017 10:09 AM - Roberto Cirillo

- Due date set to Feb 27, 2017

This service should go in production in the release 4.3 (with JAVA7) so we need also to have a VM for preproduction environment with JAVA7.

@andrea.dellamico@isti.cnr.it could you provide a new VM with JAVA7 and permgen as requested? I'm going to prepare the Ansible playbook for

installing the new service.

The root-VO is shared between preprod and dev environment so we can use only a VM for this ongoing release and postpone the permgen issue.

#4 - Feb 24, 2017 10:11 AM - Roberto Cirillo

I suggest to call the VM for the new quota service as following: 

quota-d-d4s.d4science.org

#5 - Feb 24, 2017 10:12 AM - Roberto Cirillo

- Infrastructure Pre-Production added

#6 - Feb 24, 2017 10:13 AM - Roberto Cirillo

- Target version changed from UnSprintable to Preprod: upgrade 4.3

#7 - Feb 24, 2017 11:49 AM - Andrea Dell'Amico

- Status changed from New to In Progress

Hostname and IP address are going to be: quota-d-d4s.d4science.org  146.48.123.61

#8 - Feb 24, 2017 12:23 PM - Andrea Dell'Amico

- % Done changed from 0 to 40
The VM is up.

I didn't provision it, but I added it to the dev inventory and created two new group_vars directories:

quota_service, for the part that will be in common between prod and dev

quota_service_dev, for the dev configuration

I think that you only need to add the correct scopes in group_vars/quota_service_dev/quota_service_dev.yml and then run the smartgears-node.yml

role with the -l quota_service parameter.

#9 - Feb 24, 2017 12:30 PM - Roberto Cirillo

perfect. Thanks.

#10 - Feb 24, 2017 04:08 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from _InfraScience Systems Engineer to Alessandro Pieve

- % Done changed from 40 to 100

The new service is ready to use but I've see an exception in initialization phase:

WARNING: The following warnings have been detected: WARNING: A resource, Resource{"quotaPackageManager", 0 chi

ld resources, 0 resource methods, 0 sub-resource locator, 0 method handler classes, 0 method handler instances

}, with path "quotaPackageManager" is empty. It has no resource (or sub resource) methods neither sub resource

 locators defined.

Exception in thread "Timer-0" java.lang.NoClassDefFoundError: org/gcube/accounting/datamodel/aggregation/Aggre

gatedStorageStatusRecord

        at org.gcube.resource.management.quota.library.quotalist.QuotaType.<clinit>(QuotaType.java:10)

        at org.gcube.resource.management.quota.library.quotedefault.StorageQuotaDefault.getQuotaType(StorageQu

otaDefault.java:40)

        at org.gcube.resource.management.quota.manager.check.QuotaCalculateUtil.verifyListUser(QuotaCalculateU

til.java:76)

        at org.gcube.resource.management.quota.manager.check.QuotaCheck.getQuotaCheck(QuotaCheck.java:79)

        at org.gcube.resource.management.quota.manager.check.QuotaCheckTask.run(QuotaCheckTask.java:52)

        at java.util.TimerThread.mainLoop(Timer.java:555)

        at java.util.TimerThread.run(Timer.java:505)

Caused by: java.lang.ClassNotFoundException: org.gcube.accounting.datamodel.aggregation.AggregatedStorageStatu

sRecord

        at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1719)

        at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1570)

        ... 7 more

 @alessandro.pieve@isti.cnr.it please could you check it?

#11 - Feb 24, 2017 04:44 PM - Roberto Cirillo

I've installed the smartgears distribution released in 4.3 and the problem seems to be solved. 

#12 - Feb 27, 2017 06:00 PM - Alessandro Pieve

- Status changed from Feedback to Closed

#13 - Mar 09, 2017 03:34 PM - Roberto Cirillo

- Related to Task #7457: Create new VM for hosting quota service added

Powered by TCPDF (www.tcpdf.org)

Jun 18, 2025 2/2

http://www.tcpdf.org

